Bug 1261649 - PNGs with alpha broken in 6.2.10
PNGs with alpha broken in 6.2.10
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: php-tcpdf (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 16:52 EDT by Travis Paul
Modified: 2015-09-27 14:22 EDT (History)
2 users (show)

See Also:
Fixed In Version: 6.2.11-1.fc21 php-tcpdf-6.2.11-1.el6 php-tcpdf-6.2.11-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-19 14:55:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
files needed to reproduce. (572.75 KB, application/zip)
2015-09-09 16:52 EDT, Travis Paul
no flags Details

  None (edit)
Description Travis Paul 2015-09-09 16:52:12 EDT
Created attachment 1071923 [details]
files needed to reproduce.

Description of problem:

PNGs with transparency appear all-white.

Version-Release number of selected component (if applicable):

php-tcpdf 6.2.10

How reproducible:

Attached zip file with the following items::

* test.php - test script to reproduce bug
* test.png - png with configuration required to reproduce bug
* 6.2.10.pdf - results of script in 6.2.10
* 6.2.11.pdf - results of script in 6.2.11

Steps to Reproduce:
1. run test.php under apache
2. load test.php in browser

Actual results:
pdf is all white

Expected results:
pdf should contain image

Additional info:
this appears to be fixed in 6.2.11
http://sourceforge.net/p/tcpdf/bugs/1070/
Comment 1 Travis Paul 2015-09-09 17:08:30 EDT
Sorry, correction to attached files:
* 6.2.10.pdf - results of script in 6.2.10 (Broken)
* 6.2.8.pdf - results of script in 6.2.8 (Correct)
Comment 2 Fedora Update System 2015-09-10 00:59:58 EDT
php-tcpdf-6.2.11-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8020
Comment 3 Fedora Update System 2015-09-10 00:59:58 EDT
php-tcpdf-6.2.11-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15507
Comment 4 Fedora Update System 2015-09-10 01:00:01 EDT
php-tcpdf-6.2.11-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15508
Comment 5 Fedora Update System 2015-09-10 01:00:05 EDT
php-tcpdf-6.2.11-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8021
Comment 6 Fedora Update System 2015-09-10 01:00:09 EDT
php-tcpdf-6.2.11-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15509
Comment 7 Remi Collet 2015-09-10 01:07:37 EDT
Thanks to your reproducer, I confirm the regression in 6.2.10 and the fix in 6.2.11.
Comment 8 Fedora Update System 2015-09-10 16:49:18 EDT
php-tcpdf-6.2.11-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-tcpdf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8021
Comment 9 Fedora Update System 2015-09-10 16:49:46 EDT
php-tcpdf-6.2.11-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-tcpdf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8020
Comment 10 Fedora Update System 2015-09-10 16:50:24 EDT
php-tcpdf-6.2.11-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-tcpdf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15508
Comment 11 Fedora Update System 2015-09-10 17:19:47 EDT
php-tcpdf-6.2.11-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-tcpdf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15507
Comment 12 Fedora Update System 2015-09-10 23:49:48 EDT
php-tcpdf-6.2.11-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update php-tcpdf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15509
Comment 13 Fedora Update System 2015-09-19 14:55:09 EDT
php-tcpdf-6.2.11-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-09-19 17:51:16 EDT
php-tcpdf-6.2.11-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-09-19 19:19:50 EDT
php-tcpdf-6.2.11-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-09-27 11:57:11 EDT
php-tcpdf-6.2.11-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-09-27 14:22:00 EDT
php-tcpdf-6.2.11-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.